body{
  height: 100vh;
  display: flex;
  flex-direction: column;
}
.header{
  flex-shrink: 0;
}
.footer{
 display: none;
}
.amap-info-outer, .amap-menu-outer {
    border-radius:10px;
}
.info-box-all {
    padding:8px;width:350px;border-radius:10px;
}
.info-box-name {margin:0 0 6px;font-size:16px;font-weight: bold;}
.info-box-type {margin:0 0 4px;font-size:12px;padding: 2px 5px 3px;color:#fff;background:#69abfd;border-radius: 5px;display: inline-block;}
.info-box-address {margin:0 0 6px;font-size:16px;font-weight: bold;">${shop.name}</h4><p style="margin:0 0 4px;font-size:14px;color:#666;line-height:1.6;}
.info-box-tips{margin:0 0 4px;font-size:14px;color:#666;}
.info-box-dh{color: #f1f1f1;background: #5d5e62;margin-top: 10px;display: inline-block;padding: 5px 20px;border-radius: 5px;font-size: 12px;}
.amap-info-close {
    right: 10px;
    top: 10px;
    color: #5d5e62;
    width: 18px;
    height: 18px;
    font-size: 22px;
}
.section{
  width:100%;
  padding-top:65px;
  flex: 1;
}
.mapbox {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 100%;
}
.map{
  width: 100%;
  height: 100%;
}
.store {
  position: absolute;
  top:0;
  left:50%;
  transform: translateX(-50%);
  z-index: 10;
  height:100%;
  pointer-events: none; 
}
.store-inner{
    width:400px;
    max-width:480px;
    height:100%;
    background:#fff;
    padding:15px;
    border-radius:16px;
    box-shadow:5px 2px 35px rgba(153,153,153,.25);
    pointer-events: auto; 
}
.store-filter{
    width:100%;
    padding:15px 15px 0;
    display: flex;
    flex-wrap:wrap;
    justify-content: space-between;
}
.store-filter .icon{
    margin: 0;
    width:20px;
    height:20px;
    fill:#c5c5c5;
    transition: all 0.5s;
}
.filter-search{
    width:55%;
    display: flex;
    align-items:center;
    justify-content: space-between;
    border-bottom:1px solid rgba(153,153,153,.3);
}
.filter-search input{
width:80%;
height:55px;
box-shadow: none;
border:none;
color:#333;
}
.filter-search .btn{
    padding:0;
    box-shadow: none;
}
.filter-add{
   width:47%;
   border-bottom:1px solid rgba(153,153,153,.3);
   position: relative;
}
.filter-add ul {
    box-shadow: -1px 3px 10px #dee5ec;
    border-radius: 5px;
    color: #121212;
    padding: 3%;
    max-height: 240px; 
    display: none;
    overflow-y: auto;
    position: absolute;
    width: 100%;
    z-index: 99;
    background: #fff;
}
.filter-add ul li { 
    padding: 6px 7px;
    cursor: pointer;
}
.filter-add ul li:hover {
    background: #fa7619;
    color: #ffffff;
    border-radius: 4px;
}
.add-inner{
    width:100%;
    display: flex;
    align-items:center;
    justify-content: space-between;
    color: #666;
    height: 42px;
    line-height: 42px;
    position: relative;
    padding-left: 10px;
    cursor: pointer; 
    overflow: hidden;
}
.add-inner.active svg{
    transform: rotate(180deg);
}

.store-list{
  width:100%;
  padding:0px;
  height:calc(100% - 90px);
  overflow-y: auto;
}
.store-list li{
  display: block;
  cursor: pointer;
  width: 100%;
  padding:15px 15px 0px;
  position: relative;
  border-bottom:2px solid rgba(153,153,153,.2);
  margin: 10px 0 10px;
}
.amap-info-content {
    padding: 10px;
}
.store-list li .mt_20 {
    margin-top: 15px;
}
.store-list li .mb_20 {
    margin-bottom: 10px;
}
.store-list li .pt_20 {
    padding-top: 15px;
}
.store-list li .pb_20 {
    padding-bottom: 15px;
}
.store-list li.on{
  border-radius: 8px;
  background: #f9f9f9;
}
.store-list li h3{
    display: flex;
    flex-wrap:wrap;
    align-items:flex-start;
}
.store-list li h3 .xs{
   display: flex;
    align-items: center;
    justify-content: center;
    width: 66px;
    height: 22px;
    border-radius: 5px;
    margin-top: 2px;
    background: #69abfd;
    color: #fff;
    flex: 0 0 auto;
}
.store-list li h3 .fw{
   display:flex;
   align-items: center;
   justify-content: center;
    width: auto;
    padding: 6px 15px 8px;
   border-radius: 5px;
   background:#fa7619;
   margin-top: 2px;
   color:#fff;
}
.store-list li h3 .name{
    color: #111;
    padding-left: 0px;
    margin-top: 5px;
    line-height: 1.5;
    flex: 0 0 100%;
}
.store-list li h3 span{
    display: block;
    width: 100%;
}
.store-list .add{
    width:100%;
    display:flex;
    align-items:center;
    justify-content: space-between;
    cursor: pointer;
}
.store-list .add .add-name{
    max-width:calc(100%);
    display:flex;
    align-items:flex-start;
    color:#333;
    line-height:1.8;
}
.store-list img{
    width:auto;
    height:auto;
    max-width:100%;
    max-height:100%;
}
.store-list .add .add-name img{
    margin-right: 8px;
    margin-top: 4px;
}
.store-list .add .add-name span{
    line-height: 1.6;
}
.store-list .add-icon{
    width:60px;
    height:50px;
    border-radius: 8px;
    background:#f1f1f1;
    display:none;
    align-items: center;
    justify-content: center;
}
.store-list .des p{
    width:100%;
    display:flex;
    align-items:center;
    justify-content: space-between;
    border-top:1px solid #f1f1f1;
}
.des p a{
    display:flex;
    align-items:center;
}
.des p a img{
   margin-right: 5px;
}
@media screen and (max-width: 1440px) {
   .store-inner{
      padding:10px;
   } 
   .store-list .add-icon{
       width:50px;
       height:40px;
   }
   
.store-list li .mt_20 {
    margin-top: 10px;
}
.store-list li .mb_20 {
    margin-bottom: 10px;
}
.store-list li .pt_20 {
    padding-top: 10px;
}
.store-list li .pb_20 {
    padding-bottom: 10px;
}
}
@media screen and (max-width: 1200px) {
   .store-inner{
     width:40%;
   } 
}
@media screen and (max-width: 768px) {
.info-box-all {
    width: 300px;
}
.info-box-tips {    
    margin: 0 0 2px;
}
    .store{
      width:100%;
      padding: 0;
    }
    .map{
    height:300px;
    }
    .store{
        position:static;
        transform: none;
    }
    .store-inner{
        width:100%;
        max-width: 100%;
        height: auto;
        box-shadow: none;
        border-radius: 0;
    }
    .store-list{
        height:500px;
    }
}
